Subject: bug#62476: closed (Re: bug#62476: ‘guix substitute’ poorly handles premature TLS termination)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 28 Mar 2023 15:25:02 +0000

Your bug report

#62476: ‘guix substitute’ poorly handles premature TLS termination

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62476: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62476
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62476: ‘guix substitute’ poorly handles premature TLS termination
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Tue, 28 Mar 2023 17:24:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> skribis:

> I got a report showing this:
>
>> $ guix shell …
>> […]
>> substitute: mise à jour des substituts depuis « https://ci.guix.gnu.org »...   0.0 %guix substitute: erreur : Erreur TLS dans la procédure « handshake » : La connexion TLS n’a pas été terminée correctement.
>> guix shell: erreur : `/gnu/store/aca6i8lqgdfy0gwd4m8ql3kv5a0gp6c9-guix-command substitute' died unexpectedly
>
> This corresponds to GnuTLS exception ‘error/premature-termination’ while
> connecting to a substitute server, from ‘fetch-narinfos’.
>
> Why ‘handshake’ fails, I don’t know, but at any rate ‘guix substitute’
> shouldn’t error out when that happens; preferably, it should skip that
> substitute server and keep going, like it does for other transient
> networking errors in ‘call-with-connection-error-handling’.

Fixed in af91c2d540ef437e3f663b2c18c76dc2b94e13d2.

Ludo’.

Subject: ‘guix substitute’ poorly handles premature TLS termination
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Mon, 27 Mar 2023 10:14:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I got a report showing this:

> $ guix shell …
> […]
> substitute: mise à jour des substituts depuis « https://ci.guix.gnu.org »...   0.0 %guix substitute: erreur : Erreur TLS dans la procédure « handshake » : La connexion TLS n’a pas été terminée correctement.
> guix shell: erreur : `/gnu/store/aca6i8lqgdfy0gwd4m8ql3kv5a0gp6c9-guix-command substitute' died unexpectedly

This corresponds to GnuTLS exception ‘error/premature-termination’ while
connecting to a substitute server, from ‘fetch-narinfos’.

Why ‘handshake’ fails, I don’t know, but at any rate ‘guix substitute’
shouldn’t error out when that happens; preferably, it should skip that
substitute server and keep going, like it does for other transient
networking errors in ‘call-with-connection-error-handling’.

Ludo’.